#!/usr/bin/python

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from PyQt4.QtGui import *
from PyQt4.QtCore import *

from Ui_hashconfig import Ui_HashConfigDialog

class HashConfigDialog(QDialog, Ui_HashConfigDialog):
    ' Dialog to edit settings, with some minimal logic.'
    def __init__(self, parent = None):
        QDialog.__init__(self, parent)
        self.setupUi(self)
        self.portField.setValidator(QIntValidator())
        self.connect(self.browseButton, SIGNAL('clicked()'),self.browseDir)

    def browseDir(self):
        d = QFileDialog.getExistingDirectory(self,"Select default directory",self.directoryField.text())
        self.directoryField.setText(d)
